D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

VREs Resource

REST interface for the social networking library (vres).

GET /2/vres/get-my-vres

Request Parameters
name type description default constraints
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources    
Content-Type header application/json    
getManagers query set true if you also want to know the VRE-Managers false boolean
Response Body
media type data type description
application/json object (JSON) the list of vres along with some metadata

Example

Request
GET /get-my-vres?getManagers=false
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "success" : true,
  "message" : null,
  "result" : [ {
    "name" : "NextNext",
    "context" : "/gcube/devNext/NextNext",
    "description" : "NextNext description AAA"
  }, {
    "name" : "devVRE",
    "context" : "/gcube/devsec/devVRE",
    "description" : "devVRE description BBB"
  } ]
}